#
# spec file for package kdepim (Version 2.2.1)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  audiofile autoconf automake docbook-dsssl-stylesheets docbook_3 fam gettext gpp iso_ent jade_dsl kdelibs kdelibs-artsd kdelibs-devel libgpp libjpeg liblcms libmng libmng-devel libpng libtiff libxml2 libz mesa mesa-devel mesasoft pilot-link pilot-link-devel qt qt-devel qt-extensions sp sp-devel xf86 xf86glu xf86glu-devel xpm
# usedforbuild    aaa_base aaa_dir audiofile autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils docbook-dsssl-stylesheets docbook_3 e2fsprogs fam file fileutils findutils flex freetype2 gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gpp gppshare grep groff gzip iso_ent jade_dsl kbd kdelibs kdelibs-artsd kdelibs-devel less libgpp libjpeg liblcms libmng libmng-devel libpng libtiff libtool libxml2 libz m4 make man mesa mesa-devel mesasoft mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl pilot-link pilot-link-devel ps qt qt-devel qt-extensions rcs readline rpm sendmail sh-utils shadow sp sp-devel strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xf86glu xf86glu-devel xshared

Name:         kdepim
Obsoletes:    kpim2,kpilot
Provides:     kpim2,kpilot
Copyright:    GPL
Group:        X11/KDE/Base
Summary:      PIM - personal information manager
Version:      2.2.1
Release:      66
BuildRoot:    /var/tmp/%{name}-buildroot
Source0:      %{name}-%{version}.tar.bz2
Patch0:       %{name}-%{version}.dif

%description
This package contains tools for address and date organisation.

Authors:
--------
    The KDE Team <kde@kde.org>

SuSE series: k2de

%package kpilot
Version:      2.2.1
Release:      66
Summary:      Communication with the 3COM Palm Pilot
Group:      X11/KDE/Base

%description kpilot
With this software your Linux box can communicate with your 3COM
Palm Pilot via the Palm Cradle.

Authors:
--------
    The KDE Team, especially
    Arne Coucheron <arneco@online.no>

SuSE series: k2de

%prep
%setup
%patch

%build
export OPT_LEVEL="-O2"
make -f Makefile.cvs
CXXFLAGS="$RPM_OPT_FLAGS $CXXFLAGS -DNDEBUG  $OPT_LEVEL " ./configure \
  --prefix=/opt/kde2 \
  --enable-final \
  --disable-debug \
  --with-qt-dir=/usr/lib/qt2 \
  
make

%install
[ ${RPM_BUILD_ROOT} != "/" ] && rm -rf ${RPM_BUILD_ROOT}
make DESTDIR=$RPM_BUILD_ROOT install-strip
                                                                                                         

%clean
#[ ${RPM_BUILD_ROOT} != "/" ] && rm -rf ${RPM_BUILD_ROOT}

%files
%doc README 
/opt/kde2/share/applnk/Applications/*
/opt/kde2/share/applnk/Utilities/kandy.desktop
/opt/kde2/share/apps/*
/opt/kde2/share/autostart/alarmd.desktop
/opt/kde2/share/doc/HTML/en/*
/opt/kde2/share/icons/??color/??x??/*/*
/opt/kde2/bin/alarmd
/opt/kde2/bin/ical2vcal
/opt/kde2/bin/korganizer
/opt/kde2/bin/kandy*
/opt/kde2/include/*
/opt/kde2/lib/*
/opt/kde2/share/services/*
%config(noreplace) /opt/kde2/share/config/*

%files kpilot
/opt/kde2/bin/kpilot
/opt/kde2/bin/abbrowser_conduit
/opt/kde2/bin/conduitKNotes
/opt/kde2/bin/conduitExpense
/opt/kde2/bin/null_conduit
/opt/kde2/bin/pilotListener
/opt/kde2/bin/popmail_conduit
/opt/kde2/bin/todoconduit
/opt/kde2/bin/vcalconduit
/opt/kde2/bin/kpilotDaemon
/opt/kde2/share/doc/HTML/en/kpilot
/opt/kde2/share/servicetypes/kpilotconduit.desktop
/opt/kde2/share/applnk/Utilities/kpilot.desktop
/opt/kde2/share/applnk/Utilities/kpilotdaemon.desktop

%changelog -n kdepim
* Sat Sep 08 2001 - adrian@suse.de
- update to 2.2.1
* Mon Aug 13 2001 - ro@suse.de
- changed neededforbuild <sp_libs> to <sp-devel>
* Mon Aug 06 2001 - adrian@suse.de
- update to 2.2 final
- remove fixes for broken autoconf setup
* Tue May 08 2001 - schwab@suse.de
- Explicitly configure with --enable-shared to get valid libtool
  convenience libraries.
- Fix invalid casts and missing declarations.
* Sun Apr 08 2001 - adrian@suse.de
- use -O2 for alpha and ppc
* Fri Mar 30 2001 - ro@suse.de
- neededforbuild fix
* Wed Mar 28 2001 - adrian@suse.de
- move all kpilot binarys to kdepim-kpilot
* Tue Mar 27 2001 - ro@suse.de
- changed neededforbuild <docbkdsl> to <docbook-dsssl-stylesheets>
* Sun Mar 25 2001 - adrian@suse.de
- split package. Extra package for kpilot.
  go to -O2 for ppc
* Tue Mar 20 2001 - adrian@suse.de
- update to finale 2.1.1
* Sun Mar 18 2001 - ro@suse.de
- fixed neededforbuild
* Tue Mar 13 2001 - ro@suse.de
- removed second occurence of docbk30 from neededforbuild
* Tue Mar 13 2001 - ro@suse.de
- changed neededforbuild <docbk30> to <docbook_3>
* Sun Feb 25 2001 - adrian@suse.de
- activate korganizer again
* Thu Feb 22 2001 - adrian@suse.de
- update to final 2.1.0
* Wed Feb 14 2001 - adrian@suse.de
- update to 2.1 post beta 2
* Sun Jan 07 2001 - adrian@suse.de
- change icon handling
* Mon Dec 18 2000 - adrian@suse.de
- fix icon list
* Sun Dec 17 2000 - adrian@suse.de
- fix icon file conflicts
* Wed Dec 13 2000 - adrian@suse.de
- update to current 2_0_BRANCH
* Thu Nov 30 2000 - adrian@suse.de
- update to 2.0.1
* Mon Nov 20 2000 - adrian@suse.de
- added missing path to filelist
* Thu Nov 16 2000 - adrian@suse.de
- New version from KDE_2_0_BRANCH
* Tue Oct 17 2000 - adrian@suse.de
- update to 2.0.0
* Tue Sep 12 2000 - adrian@suse.de
- update to RC 1
* Mon Aug 21 2000 - adrian@suse.de
- update to beta 4 / 1.93
* Tue Jul 25 2000 - adrian@suse.de
- update to second try of beta 3
* Mon Jul 17 2000 - adrian@suse.de
- snapshot from 17.07.2000
* Sun Jul 09 2000 - adrian@suse.de
- snapshot from 06.07.2000
* Fri Jun 09 2000 - adrian@suse.de
- up to 1.91
* Tue Jun 06 2000 - adrian@suse.de
- snapshot from 06.06.2000
* Sun May 28 2000 - adrian@suse.de
- snapshot from 28.05.2000, post-1.90
